gnome-sharp 2.20.0.0 2.24.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. System.Enum GLib.GType(typeof(Gnome.FileDomainGType)) The types of files a GNOME application needs to access. Many of the files that a GNOME application needs to access will be installed in standard locations. For example, GNOME help files will be in one location, while help files specific to the current application might be in another location. The different types of files are given in this enum. User applications make use of the App* types, which specify locations relative to AppDatadir.
- Field
  2.24.0.0
  Gnome.FileDomain Application specific config files.
- Field
  2.24.0.0
  Gnome.FileDomain Application specific data files.
- Field
  2.24.0.0
  Gnome.FileDomain Application specific help files.
- Field
  2.24.0.0
  Gnome.FileDomain Application specific libraries.
- Field
  2.24.0.0
  Gnome.FileDomain Application specific pixmap files.
- Field
  2.24.0.0
  Gnome.FileDomain Application specific sound files.
- Field
  2.24.0.0
  Gnome.FileDomain Config files in the main GNOME installation.
- Field
  2.24.0.0
  Gnome.FileDomain Data files in the main GNOME installation.
- Field
  2.24.0.0
  Gnome.FileDomain Help files in the main GNOME installation.
- Field
  2.24.0.0
  Gnome.FileDomain Libraries in the main GNOME installation.
- Field
  2.24.0.0
  Gnome.FileDomain Pixmap files in the main GNOME installation.
- Field
  2.24.0.0
  Gnome.FileDomain Sound files in the main GNOME installation.
- Field
  2.24.0.0
  Gnome.FileDomain An unknown file domain (should never be used).